Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IObjFileImporter.Entity

    java.lang.Object
      igeo.io.IObjFileImporter.Entity

Direct Known Subclasses:
  IObjFileImporter.BasisMatrix, IObjFileImporter.BevelInterpolation, IObjFileImporter.ColorInterpolation, IObjFileImporter.Comment, IObjFileImporter.Connect, IObjFileImporter.Curve, IObjFileImporter.Curve2D, IObjFileImporter.CurveApproximationTechnique, IObjFileImporter.CurveType, IObjFileImporter.Degree, IObjFileImporter.DissolveInterpolation, IObjFileImporter.EndStatement, IObjFileImporter.Face, IObjFileImporter.GeometricVertex, IObjFileImporter.GroupName, IObjFileImporter.InnerTrimmingLoop, IObjFileImporter.LevelOfDetail, IObjFileImporter.Line, IObjFileImporter.MaterialLibrary, IObjFileImporter.MaterialName, IObjFileImporter.MergingGroup, IObjFileImporter.ObjectName, IObjFileImporter.OuterTrimmingLoop, IObjFileImporter.Parameter, IObjFileImporter.ParameterSpaceVertex, IObjFileImporter.Point, IObjFileImporter.RayTracing, IObjFileImporter.ShadowCasting, IObjFileImporter.SmoothingGroup, IObjFileImporter.SpecialCurve, IObjFileImporter.SpecialPoint, IObjFileImporter.StepSize, IObjFileImporter.Surface, IObjFileImporter.SurfaceApproximationTechnique, IObjFileImporter.TextureVertex, IObjFileImporter.VertexNormal

Enclosing class:
  IObjFileImporter

    public static class IObjFileImporter.Entity

extends java.lang.Object

Field Summary
`java.util.ArrayList<IObjFileImporter.EntityData>` | `data`
`java.util.ArrayList<IObjFileImporter.Entity>` | `entities`
`java.util.ArrayList<IObject>` | `objects`
`IServerI` | `server`

Constructor Summary
`IObjFileImporter.Entity()`

Method Summary
`void` | `add(IObjFileImporter.EntityData d)`
`IObjFileImporter.EntityData` | `getData(int i)`
`java.lang.String` | `getLabel()`
`IObjFileImporter.EntityData` | `getLatestData()`
`IObjFileImporter.EntityData` | `parse(java.lang.String line)`
`IObjFileImporter.EntityData` | `parse(java.lang.String[] segments)`
`void` | `read(java.lang.String line)`
`void` | `setAllEntities(java.util.ArrayList<IObjFileImporter.Entity> e)`
`void` | `setObjectContainer(java.util.ArrayList<IObject> objs)`
`void` | `setServer(IServerI s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    public java.util.ArrayList<IObjFileImporter.EntityData> data

### entities

    public java.util.ArrayList<IObjFileImporter.Entity> entities

### objects

    public java.util.ArrayList<IObject> objects

### server

    public IServerI server

Constructor Detail

### IObjFileImporter.Entity

    public IObjFileImporter.Entity()

Method Detail

### getLabel

    public java.lang.String getLabel()

### getData

    public IObjFileImporter.EntityData getData(int i)

### read

    public void read(java.lang.String line)

### parse

    public IObjFileImporter.EntityData parse(java.lang.String line)

### parse

    public IObjFileImporter.EntityData parse(java.lang.String[] segments)

### add

    public void add(IObjFileImporter.EntityData d)

### getLatestData

    public IObjFileImporter.EntityData getLatestData()

### setAllEntities

    public void setAllEntities(java.util.ArrayList<IObjFileImporter.Entity> e)

### setObjectContainer

    public void setObjectContainer(java.util.ArrayList<IObject> objs)

### setServer

    public void setServer(IServerI s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD